## vasttrafik-cli 1.5

=== Makefile ===
# vasttrafik-cli
# Copyright (C) 2012-2021 Salvo "LtWorf" Tomaselli
#
# vasttrafik-cli is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>

all:
	@echo Nothing to do

.PHONY: install
install:
	#Install py files
	install -d $${DESTDIR:-/}/usr/share/vasttrafik-cli
	install stops.py $${DESTDIR:-/}/usr/share/vasttrafik-cli
	install trip.py $${DESTDIR:-/}/usr/share/vasttrafik-cli
	install -m644 vasttrafik.py $${DESTDIR:-/}/usr/share/vasttrafik-cli
	#Install links
	install -d $${DESTDIR:-/}/usr/bin/
	ln -fs "../share/vasttrafik-cli/stops.py" $${DESTDIR:-/}/usr/bin/stops
	ln -fs "../share/vasttrafik-cli/trip.py" $${DESTDIR:-/}/usr/bin/trip
	#Install conf
	install -m644 -D conf/vasttrafik-cli.conf $${DESTDIR:-/}/etc/vasttrafik-cli.conf
	#Install other files
	install -m644 -D README.md $${DESTDIR:-/}/usr/share/doc/vasttrafik-cli/README.md
	install -m644 -D man/stops.1 $${DESTDIR:-/}/usr/share/man/man1/stops.1
	install -m644 -D man/trip.1 $${DESTDIR:-/}/usr/share/man/man1/trip.1
	install -m644 -D completion/trip $${DESTDIR:-/}/usr/share/bash-completion/completions/trip
	install -m644 -D completion/stops $${DESTDIR:-/}/usr/share/bash-completion/completions/stops

.PHONY: clean
clean:
	$(RM) -r deb-pkg
	$(RM) -r __pycache__
	$(RM) -r *~

.PHONY: dist
dist: clean
	cd ..; tar -czvvf vasttrafik-cli.tar.gz \
		vasttrafik-cli/conf/ \
		vasttrafik-cli/CHANGELOG \
		vasttrafik-cli/COPYING \
		vasttrafik-cli/completion \
		vasttrafik-cli/Makefile \
		vasttrafik-cli/man \
		vasttrafik-cli/vasttrafik.py \
		vasttrafik-cli/mypy.conf \
		vasttrafik-cli/README.md \
		vasttrafik-cli/screenshot.png \
		vasttrafik-cli/stops.py \
		vasttrafik-cli/trip.py
	mv ../vasttrafik-cli.tar.gz vasttrafik-cli_`head -1 CHANGELOG`.orig.tar.gz
	gpg --detach-sign -a *.orig.tar.gz

deb-pkg: dist
	mv vasttrafik-cli_`head -1 CHANGELOG`.orig.tar.gz* /tmp
	cd /tmp; tar -xf vasttrafik-cli_*.orig.tar.gz
	cp -r debian /tmp/vasttrafik-cli/
	cd /tmp/vasttrafik-cli/; dpkg-buildpackage --changes-option=-S
	mkdir deb-pkg
	mv /tmp/vasttrafik-cli_* deb-pkg
	$(RM) -r /tmp/vasttrafik-cli

.PHONY: mypy
mypy:
	mypy --config-file mypy.conf trip.py vasttrafik.py

.PHONY: test
test: mypy

=== debian/changelog ===
vasttrafik-cli (1.5-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 26 Jan 2022 23:36:21 +0100

vasttrafik-cli (1.4-1) unstable; urgency=low

  * New upstream release
  * Depend on python3-wcwidth

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 11 Nov 2021 13:00:00 +0100

vasttrafik-cli (1.3-1) unstable; urgency=medium

  * New upstream release
  * Test the installed command
  * Do not run mypy in testsuite

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Fri, 29 Oct 2021 16:46:06 +0200

vasttrafik-cli (1.2-1) unstable; urgency=low

  * New upstream release
  * Running tests after build
  * Add autopkgtest
  * Source only upload

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 20 Oct 2021 11:49:18 +0200

vasttrafik-cli (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #904135)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 18 Oct 2021 14:58:53 +0200

=== debian/control ===
Source: vasttrafik-cli
Section: utils
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends:
    mypy,
    python3-typedload,
    python3-xtermcolor,
    python3-configobj,
    python3-wcwidth,
    debhelper-compat (= 13),
    dh-sequence-python3
Standards-Version: 4.6.0
Vcs-Browser: https://github.com/ltworf/vasttrafik-cli
Vcs-Git: https://github.com/ltworf/vasttrafik-cli.git
Homepage: https://github.com/ltworf/vasttrafik-cli
Rules-Requires-Root: no

Package: vasttrafik-cli
Architecture: all
Depends:
    ${misc:Depends},
    ${python3:Depends},
    python3-typedload,
    python3-xtermcolor,
    python3-wcwidth,
    python3-configobj
Description: Public transport client, for Göteborg and the Västra Götaland county
 Västtrafik is the agency for public transport in Västra Götaland (Sweden).
 .
 This package provies a CLI to access their API and plan trips or see the
 incoming vehicles at a given stop.

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://github.com/ltworf/vasttrafik-cli/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## vasttrafik-cli 1.9

=== debian/changelog ===
vasttrafik-cli (1.9-1) unstable; urgency=high

  * New upstream release
  * Use the new API (Closes: #1061470)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 26 Jan 2024 16:31:58 +0100

vasttrafik-cli (1.8-1) unstable; urgency=high

  * New upstream release, fixes failing debCI test.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 25 Nov 2023 08:59:03 +0100

vasttrafik-cli (1.7-1) unstable; urgency=medium

  * New upstream release
  * Use pybuild to build
  * Drop dependency on python3-configobj
  * Change my email to the debian address

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 19 Nov 2023 21:22:48 +0100

vasttrafik-cli (1.6-1) unstable; urgency=low

  * New upstream release
  * Improve clean target (Closes: #1047722)
  * Point all URLs to the new upstream location (github to codeberg)
  * Bump Standards-Version to 4.6.2
  * Add upstream/metadata file

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 17 Sep 2023 17:57:01 +0200

=== debian/control ===
Source: vasttrafik-cli
Section: utils
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends:
    mypy,
    python3-all:any,
    python3-typedload,
    python3-xtermcolor,
    python3-wcwidth,
    debhelper-compat (= 13),
    dh-sequence-python3
Standards-Version: 4.6.2
Vcs-Browser: https://codeberg.org/ltworf/vasttrafik-cli
Vcs-Git: https://codeberg.org/ltworf/vasttrafik-cli.git
Homepage: https://codeberg.org/ltworf/vasttrafik-cli
Rules-Requires-Root: no

Package: vasttrafik-cli
Architecture: all
Depends:
    ${misc:Depends},
    ${python3:Depends},
    python3-typedload,
    python3-xtermcolor,
    python3-wcwidth,
Description: Public transport client, for Göteborg and the Västra Götaland county
 Västtrafik is the agency for public transport in Västra Götaland (Sweden).
 .
 This package provies a CLI to access their API and plan trips or see the
 incoming vehicles at a given stop.

## vasttrafik-cli 1.11

=== debian/changelog ===
vasttrafik-cli (1.11-1) unstable; urgency=medium

  * New upstream release
  * Depend on ca-certificates to do the https connection

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 28 Jan 2024 14:17:20 +0100

vasttrafik-cli (1.10-1) unstable; urgency=high

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 27 Jan 2024 09:48:34 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
     python3-typedload,
     python3-xtermcolor,
     python3-wcwidth,
+    ca-certificates,
 Description: Public transport client, for Göteborg and the Västra Götaland county
  Västtrafik is the agency for public transport in Västra Götaland (Sweden).
  .

=== debian/tests/control ===
Test-Command: trip chalmers valand
Restrictions: allow-stderr, needs-internet

## vasttrafik-cli 1.12

=== debian/changelog ===
vasttrafik-cli (1.12-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 29 Sep 2024 23:30:53 +0200

vasttrafik-cli (1.11-2) unstable; urgency=medium

  * Build-depend on python3-setuptools (Closes: #1080827)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 05 Sep 2024 22:32:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
     python3-typedload,
     python3-xtermcolor,
     python3-wcwidth,
+    python3-setuptools,
     debhelper-compat (= 13),
     dh-sequence-python3
 Standards-Version: 4.6.2
@@ -30,3 +31,5 @@
  .
  This package provies a CLI to access their API and plan trips or see the
  incoming vehicles at a given stop.
+ .
+ It installs the commands resaplan and stops.

=== debian/tests/control ===
Test-Command: resaplan chalmers valand
Restrictions: allow-stderr, needs-internet

## vasttrafik-cli 1.13

=== Makefile ===
# vasttrafik-cli
# Copyright (C) 2012-2021 Salvo "LtWorf" Tomaselli
#
# vasttrafik-cli is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# author Salvo "LtWorf" Tomaselli <tiposchi@tiscali.it>

all:
	@echo Nothing to do

.PHONY: clean
clean:
	$(RM) -r deb-pkg
	$(RM) -r __pycache__
	$(RM) -r *~
	$(RM) -r .mypy_cache/
	$(RM) -r dist/
	$(RM) -r pypi/
	$(RM) -r build/
	$(RM) -r *egg-info/

.PHONY: dist
dist: clean
	cd ..; tar -czvvf vasttrafik-cli.tar.gz \
		vasttrafik-cli/conf/ \
		vasttrafik-cli/CHANGELOG \
		vasttrafik-cli/COPYING \
		vasttrafik-cli/completion \
		vasttrafik-cli/Makefile \
		vasttrafik-cli/man \
		vasttrafik-cli/vasttrafik \
		vasttrafik-cli/setup.py \
		vasttrafik-cli/mypy.conf \
		vasttrafik-cli/README.md \
		vasttrafik-cli/screenshot.png
	mv ../vasttrafik-cli.tar.gz vasttrafik-cli_`head -1 CHANGELOG`.orig.tar.gz
	gpg --detach-sign -a *.orig.tar.gz

deb-pkg: dist
	mv vasttrafik-cli_`head -1 CHANGELOG`.orig.tar.gz* /tmp
	cd /tmp; tar -xf vasttrafik-cli_*.orig.tar.gz
	cp -r debian /tmp/vasttrafik-cli/
	cd /tmp/vasttrafik-cli/; dpkg-buildpackage --changes-option=-S
	mkdir deb-pkg
	mv /tmp/vasttrafik-cli_* deb-pkg
	$(RM) -r /tmp/vasttrafik-cli
	lintian deb-pkg/*changes

.PHONY: mypy
mypy:
	mypy --config-file mypy.conf vasttrafik

.PHONY: test
test: mypy

.PHONY: upload
upload:
	$(RM) -r dist
	./setup.py sdist
	./setup.py bdist_wheel
	twine upload --username __token__ --password `cat .token` dist/*

=== debian/changelog ===
vasttrafik-cli (1.13-2) unstable; urgency=medium

  * Let dh find the dependencies

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 03 Dec 2024 14:37:37 +0100

vasttrafik-cli (1.13-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 28 Nov 2024 22:19:49 +0100

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,6 @@
 Depends:
     ${misc:Depends},
     ${python3:Depends},
-    python3-typedload,
-    python3-xtermcolor,
-    python3-wcwidth,
     ca-certificates,
 Description: Public transport client, for Göteborg and the Västra Götaland county
  Västtrafik is the agency for public transport in Västra Götaland (Sweden).
@@ -32,4 +29,4 @@
  This package provies a CLI to access their API and plan trips or see the
  incoming vehicles at a given stop.
  .
- It installs the commands resaplan and stops.
+ It installs the commands trip-vgr and stops.

=== debian/tests/control ===
Test-Command: trip-vgr chalmers valand
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/ltworf/vasttrafik-cli/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## vasttrafik-cli 1.14

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 clean:
 	$(RM) -r deb-pkg
 	$(RM) -r __pycache__
+	$(RM) -r vasttrafik/__pycache__
 	$(RM) -r *~
 	$(RM) -r .mypy_cache/
 	$(RM) -r dist/

=== debian/changelog ===
vasttrafik-cli (1.14-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on python3-blessed instead of python3-xtermcolor

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 11 Feb 2026 10:00:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     mypy,
     python3-all:any,
     python3-typedload,
-    python3-xtermcolor,
+    python3-blessed,
     python3-wcwidth,
     python3-setuptools,
     debhelper-compat (= 13),
